%define rname           mozTrayBiff
%define pkgname         moztraybiff
%define tbver           2.0.0.17
%define tbdir           %{_libdir}/thunderbird-%{tbver}
%define tbextdir        %{tbdir}-extensions
%define tbextuuid       \{2e1b75f1-6b5a-4f1d-89b4-424f636e4fba\}
%define xpi             0

%define subrel 2

Name:           mozilla-thunderbird-%{pkgname}
Version:        1.2.3
Release:        %mkrel 4
Epoch:          0
Summary:        Mozilla New Mail Icon
URL:            http://moztraybiff.mozdev.org/
Source0:        http://downloads.mozdev.org/moztraybiff/mozTrayBiff-%{version}.tar.gz
Source1:        %{name}-chrome.manifest
Patch0:         %{name}-nspr.patch
License:        LGPL
Group:          Networking/Mail
Requires(post):   mozilla-thunderbird = 0:%{tbver}
Requires(postun): mozilla-thunderbird = 0:%{tbver}
BuildRequires:  gtk2-devel
BuildRequires:  mozilla-thunderbird-devel = 0:%{tbver}
BuildRequires:  libnspr-devel
BuildRequires:  zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Mozilla New Mail Icon is an extension which displays an icon in the 
system tray when new mail arrives in your Mozilla or Mozilla 
Thunderbird. It supports the standard (FreeDesktop.org) system tray, as 
used by GNOME, KDE and IceWM.

This extension was previously called Mozilla Free Desktop Integration.

%prep
%setup -q -n %{rname}-%{version}
%patch0 -p1

%build
%{make} MOZ_TRUNK=1 MOZILLA_PLATFORM=tbird MULTI_PLATFORM=0 REAL_CONFIG=%{_bindir}/thunderbird-config

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{tbextdir}
%if !%{xpi}
%{__mkdir_p} %{buildroot}%{tbdir}/extensions/%{tbextuuid}
%{_bindir}/unzip -qq mozTrayBiff-%{version}-tb%{tbver}-Linux_-gcc3.xpi -d %{buildroot}%{tbdir}/extensions/%{tbextuuid}
%{__install} -m 644 %{SOURCE1} %{buildroot}%{tbdir}/extensions/%{tbextuuid}/chrome.manifest
%else
%{__install} -m 644 mozTrayBiff-%{version}-tb%{tbver}-Linux_-gcc3.xpi %{buildroot}%{tbextdir}
%endif

%clean
%{__rm} -rf %{buildroot}

%post
if [ -f %{tbdir}/components/compreg.dat ]; then
    %{__rm} -f %{tbdir}/components/compreg.dat
fi

if [ -f %{tbdir}/components/xpti.dat ]; then
    %{__rm} -f %{tbdir}/components/xpti.dat
fi

TMPDIR= TB_TMPDIR=`/bin/mktemp -d -q -p /tmp -t %{name}.XXXXXXXXXX` && {
%if %{xpi}
    HOME="$TB_TMPDIR" LD_LIBRARY_PATH="%{tbdir}" %{tbdir}/thunderbird-bin -nox -install-global-extension %{tbextdir}/mozTrayBiff-%{version}-tb%{tbver}-Linux_-gcc3.xpi
%endif
    HOME="$TB_TMPDIR" LD_LIBRARY_PATH="%{tbdir}" %{tbdir}/thunderbird-bin -nox -register
    test -d "$TB_TMPDIR" && %{__rm} -rf -- "$TB_TMPDIR"
}

%postun
if [ -f %{tbdir}/components/xpti.dat ]; then
    %{__rm} -f %{tbdir}/components/xpti.dat
fi

if [ -f %{tbdir}/components/compreg.dat ]; then
    %{__rm} -f %{tbdir}/components/compreg.dat
fi

TMPDIR= TB_TMPDIR=`/bin/mktemp -d -q -p /tmp -t %{name}.XXXXXXXXXX` && {
%if %{xpi}
    HOME="$TB_TMPDIR" LD_LIBRARY_PATH="%{tbdir}" %{tbdir}/thunderbird-bin -nox -install-global-extension %{tbextdir}/mozTrayBiff-%{version}-tb%{tbver}-Linux_-gcc3.xpi
%endif
    HOME="$TB_TMPDIR" LD_LIBRARY_PATH="%{tbdir}" %{tbdir}/thunderbird-bin -nox -register
    test -d "$TB_TMPDIR" && %{__rm} -rf -- "$TB_TMPDIR"
}

%files
%defattr(-,root,root)
%doc changelog README
%if !%{xpi}
%{tbdir}/extensions/%{tbextuuid}
%else
%{tbextdir}/mozTrayBiff-%{version}-tb%{tbver}-Linux_-gcc3.xpi
%endif




%changelog
* Fri Sep 26 2008 Vincent Danen <vdanen@mandriva.com> 0:1.2.3-4.2mdv2008.1
- build against thunderbird 2.0.0.17

* Thu Jul 24 2008 Vincent Danen <vdanen@mandriva.com> 0:1.2.3-4.1mdv2008.1
- build against thunderbird 2.0.0.16

* Wed Feb 27 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:1.2.3-4mdv2008.1
+ Revision: 175889
- Rebuilt against TB 2.0.0.12

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 28 2007 David Walluck <walluck@mandriva.org> 0:1.2.3-3mdv2008.1
+ Revision: 113624
- build for thunderbird 2.0.0.9

* Thu Aug 02 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:1.2.3-2mdv2008.0
+ Revision: 58129
- Rebuilt for TB 2.0.0.6

* Wed Aug 01 2007 David Walluck <walluck@mandriva.org> 0:1.2.3-1mdv2008.0
+ Revision: 57336
- 1.2.3
- update for thunderbird 2.0.0.5

* Fri Jun 15 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:1.2.2-11mdv2008.0
+ Revision: 39996
- Synced with thunderbird version. 2.0.0.4

* Mon Apr 23 2007 David Walluck <walluck@mandriva.org> 0:1.2.2-10mdv2008.0
+ Revision: 17718
- rebuild for new thunderbird


* Sat Mar 10 2007 David Walluck <walluck@mandriva.org> 1.2.2-9mdv2007.1
+ Revision: 140793
- fix tbdir

* Thu Mar 08 2007 David Walluck <walluck@mandriva.org> 0:1.2.2-8mdv2007.1
+ Revision: 134905
- BuildRequires: libnspr-devel
- rebuild for thunderbird 2.0b2

* Sat Jan 06 2007 David Walluck <walluck@mandriva.org> 0:1.2.2-6mdv2007.1
+ Revision: 104738
- rebuild for new thunderbird

* Thu Nov 09 2006 David Walluck <walluck@mandriva.org> 0:1.2.2-5mdv2007.1
+ Revision: 79969
- Use hardcoded thunderbird version
- Import mozilla-thunderbird-moztraybiff

* Sat Sep 16 2006 David Walluck <walluck@mandriva.org> 0:1.2.2-4mdv2007.0
- rebuild for thunderbird 1.5.0.7

* Fri Aug 04 2006 David Walluck <walluck@mandriva.org> 0:1.2.2-3mdv2007.0
- rebuild for thunderbird 1.5.0.5

* Sun Jun 04 2006 David Walluck <walluck@mandriva.org> 0:1.2.2-2mdv2007.0
- rebuild for thunderbird 1.5.0.4

* Thu Apr 27 2006 David Walluck <walluck@mandriva.org> 0:1.2.2-1mdk
- 1.2.2
- drop build patch and instead set MULTI_PLATFORM=0
- drop install.rdf patch as it has been fixed upstream

* Sun Apr 23 2006 David Walluck <walluck@mandriva.org> 0:1.2.1-6mdk
- fix maxVersion

* Sat Apr 22 2006 David Walluck <walluck@mandriva.org> 0:1.2.1-5mdk
- rebuild for new thunderbird 1.5.0.2

* Thu Apr 20 2006 David Walluck <walluck@mandriva.org> 0:1.2.1-4mdk
- rebuild to fix libxpcom.so dependency

* Tue Feb 14 2006 David Walluck <walluck@mandriva.org> 0:1.2.1-3mdk
- BuildRequires: gtk2-devel

* Fri Feb 10 2006 David Walluck <walluck@mandriva.org> 0:1.2.1-2mdk
- support installing as an xpi
- copy chrome.manifest as %%{SOURCE1}

* Sat Jan 07 2006 David Walluck <walluck@mandriva.org> 0:1.2.1-1mdk 
- 1.2.1

* Mon Dec 12 2005 David Walluck <walluck@mandriva.org> 0:1.2-1mdk
- 1.2

* Sun Oct 09 2005 David Walluck <walluck@mandriva.org> 0:1.1-1mdk
- release

